Bug 220755 - Acer Ferrari 4005 screen locks up on logout (ATI Radeon X700)
Acer Ferrari 4005 screen locks up on logout (ATI Radeon X700)
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-12-25 16:50 EST by Kyle Pablo
Modified: 2008-01-15 09:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:38:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.conf file (906 bytes, application/octet-stream)
2006-12-25 16:50 EST, Kyle Pablo
no flags Details
Xorg log (44.79 KB, text/plain)
2006-12-27 17:37 EST, Kyle Pablo
no flags Details
Xorg log (old) (42.70 KB, text/plain)
2006-12-27 17:38 EST, Kyle Pablo
no flags Details

  None (edit)
Description Kyle Pablo 2006-12-25 16:50:20 EST
Description of problem:
When logging out of kde session, X hangs, does not go to command prompt.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Select logout from menu
2. Freezes on logout
Actual results:
Blank screen, keyboaed locks up. Hace to crl+alt+del to reboot.

Expected results:
logout cleanly.  return to command prompt (init level 3 btw)

Additional info:
Comment 1 Kyle Pablo 2006-12-25 16:50:20 EST
Created attachment 144355 [details]
Xorg.conf file
Comment 2 Matěj Cepl 2006-12-27 16:30:13 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachments using the bugzilla file attachment link

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Kyle Pablo 2006-12-27 17:37:06 EST
Created attachment 144429 [details]
Xorg log

Attached are my Xorg logs.  Earlier i experimented with the fglrx drivers and
did not like using them so disregard the logs with info pertaining to it. i am
not sure which log is the most help so i'll give you all of the Xorg logs. If
you need me to test anything let me know.
Comment 4 Kyle Pablo 2006-12-27 17:38:54 EST
Created attachment 144430 [details]
Xorg log (old)

Again not sure which log has the right info for why the radeon driver is
freexing on logging out.
Comment 5 Kyle Pablo 2007-01-06 17:28:53 EST
Any progress? Again, I will help if you need me to test something.
Comment 6 Kyle Pablo 2007-02-17 02:01:10 EST

I am still having the same problem.  I cannot logout to a cmd prompt (init 3). 
Have not been able to find a solution. 
Comment 7 Kyle Pablo 2007-02-27 16:33:26 EST
I notice that when I logout and swith to CRL+ALT+F1 I can get to a prompt. 
Perhaps its something wrong with the X's network window?
Comment 8 Adam Jackson 2007-03-06 17:30:10 EST
Those X logs look like they're just normal startup sequences, unfortunately. 
Not sure yet what's going on here...
Comment 9 Kyle Pablo 2007-03-06 17:41:31 EST
hmm..after it locks up, the screen sometimes has this weird dark greenish color.
oh, i can only switch to an alternate window immediately after i log out.  if i
wait 5 secs it will completely lock up.
Comment 10 Kyle Pablo 2007-03-27 17:04:07 EDT
Okay, this is really getting annoying.  I have posted this bug nearly 3 months
ago and it is still not fixed,  I have looked for solutions and asked for help
on IRC and no dice.  What gives?
Comment 11 Kyle Pablo 2007-04-10 17:04:57 EDT

I did some extra research after I closed the bug and I found this

It appears that the mapping of the screens is backwards.  Any way we csn fix this?
Comment 12 Matěj Cepl 2007-12-10 04:23:42 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 13 Matěj Cepl 2008-01-15 09:38:46 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.